from PyQt4 import QtCore, QtGui
from Ui_ProgressDialog import Ui_ProgressDialog

class ProgressDialog(QtGui.QDialog,Ui_ProgressDialog):
    
    def __init__(self,parent,title,topLabel,topPlaceholder,bottomLabel,bottomPlaceholder,progressPlaceholder):
        QtGui.QDialog.__init__(self,parent)
        self.title = title
        self.topLabel = topLabel
        self.topPlaceholder = topPlaceholder
        self.bottomLabel = bottomLabel
        self.bottomPlaceholder = bottomPlaceholder
        self.progressPlaceholder = progressPlaceholder
        
        self.setupUi(self)
        
    def showMessage(self,message):
        self.ProgressPlaceholder.setText(message)
        
    def setRange(self,start,end):
        self.progressBar.setRange(start,end)
        
    def setValue(self,value):
        self.progressBar.setValue(value)